BizConnect API Documentation

Authorize

authorize

Authorize an already user with BizConnect


/oauth/authorize

Usage and SDK Samples

curl -X POST "https://app.bizconnectus.com/v1//oauth/authorize"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.AuthorizeApi;

import java.io.File;
import java.util.*;

public class AuthorizeApiExample {

    public static void main(String[] args) {
        
        AuthorizeApi apiInstance = new AuthorizeApi();
        Login body = ; // Login | User that needs to be authenticated
        try {
            apiInstance.authorize(body);
        } catch (ApiException e) {
            System.err.println("Exception when calling AuthorizeApi#authorize");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.AuthorizeApi;

public class AuthorizeApiExample {

    public static void main(String[] args) {
        AuthorizeApi apiInstance = new AuthorizeApi();
        Login body = ; // Login | User that needs to be authenticated
        try {
            apiInstance.authorize(body);
        } catch (ApiException e) {
            System.err.println("Exception when calling AuthorizeApi#authorize");
            e.printStackTrace();
        }
    }
}
Login *body = ; // User that needs to be authenticated

AuthorizeApi *apiInstance = [[AuthorizeApi alloc] init];

// Authorize an already user with BizConnect
[apiInstance authorizeWith:body
              completionHandler: ^(NSError* error) {
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var BizConnectApiDocumentation = require('biz_connect_api_documentation');

var api = new BizConnectApiDocumentation.AuthorizeApi()

var body = ; // {Login} User that needs to be authenticated


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.authorize(body, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class authorizeExample
    {
        public void main()
        {
            
            var apiInstance = new AuthorizeApi();
            var body = new Login(); // Login | User that needs to be authenticated

            try
            {
                // Authorize an already user with BizConnect
                apiInstance.authorize(body);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling AuthorizeApi.authorize: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\AuthorizeApi();
$body = ; // Login | User that needs to be authenticated

try {
    $api_instance->authorize($body);
} catch (Exception $e) {
    echo 'Exception when calling AuthorizeApi->authorize: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::AuthorizeApi;

my $api_instance = WWW::SwaggerClient::AuthorizeApi->new();
my $body = WWW::SwaggerClient::Object::Login->new(); # Login | User that needs to be authenticated

eval { 
    $api_instance->authorize(body => $body);
};
if ($@) {
    warn "Exception when calling AuthorizeApi->authorize: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.AuthorizeApi()
body =  # Login | User that needs to be authenticated

try: 
    # Authorize an already user with BizConnect
    api_instance.authorize(body)
except ApiException as e:
    print("Exception when calling AuthorizeApi->authorize: %s\n" % e)

Parameters

Body parameters
Name Description
body *

Responses

Status: 200 - Authorization Code which can then be exchanged by calling /oauth/token to receive access token, refresh token etc.

Status: 401 - Invalid Login Credentials


oauthTokenPost

Receive access token, refresh token etc.


/oauth/token

Usage and SDK Samples

curl -X POST "https://app.bizconnectus.com/v1//oauth/token"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.AuthorizeApi;

import java.io.File;
import java.util.*;

public class AuthorizeApiExample {

    public static void main(String[] args) {
        
        AuthorizeApi apiInstance = new AuthorizeApi();
        Authorize body = ; // Authorize | User that needs to be authenticated
        try {
            apiInstance.oauthTokenPost(body);
        } catch (ApiException e) {
            System.err.println("Exception when calling AuthorizeApi#oauthTokenPost");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.AuthorizeApi;

public class AuthorizeApiExample {

    public static void main(String[] args) {
        AuthorizeApi apiInstance = new AuthorizeApi();
        Authorize body = ; // Authorize | User that needs to be authenticated
        try {
            apiInstance.oauthTokenPost(body);
        } catch (ApiException e) {
            System.err.println("Exception when calling AuthorizeApi#oauthTokenPost");
            e.printStackTrace();
        }
    }
}
Authorize *body = ; // User that needs to be authenticated

AuthorizeApi *apiInstance = [[AuthorizeApi alloc] init];

// Receive access token, refresh token etc.
[apiInstance oauthTokenPostWith:body
              completionHandler: ^(NSError* error) {
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var BizConnectApiDocumentation = require('biz_connect_api_documentation');

var api = new BizConnectApiDocumentation.AuthorizeApi()

var body = ; // {Authorize} User that needs to be authenticated


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.oauthTokenPost(body, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class oauthTokenPostExample
    {
        public void main()
        {
            
            var apiInstance = new AuthorizeApi();
            var body = new Authorize(); // Authorize | User that needs to be authenticated

            try
            {
                // Receive access token, refresh token etc.
                apiInstance.oauthTokenPost(body);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling AuthorizeApi.oauthTokenPost: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\AuthorizeApi();
$body = ; // Authorize | User that needs to be authenticated

try {
    $api_instance->oauthTokenPost($body);
} catch (Exception $e) {
    echo 'Exception when calling AuthorizeApi->oauthTokenPost: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::AuthorizeApi;

my $api_instance = WWW::SwaggerClient::AuthorizeApi->new();
my $body = WWW::SwaggerClient::Object::Authorize->new(); # Authorize | User that needs to be authenticated

eval { 
    $api_instance->oauthTokenPost(body => $body);
};
if ($@) {
    warn "Exception when calling AuthorizeApi->oauthTokenPost: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.AuthorizeApi()
body =  # Authorize | User that needs to be authenticated

try: 
    # Receive access token, refresh token etc.
    api_instance.oauth_token_post(body)
except ApiException as e:
    print("Exception when calling AuthorizeApi->oauthTokenPost: %s\n" % e)

Parameters

Body parameters
Name Description
body *

Responses

Status: 200 - successful operation

Status: 400 - Invalid status value


Contacts

createContact

Create contact


/contacts

Usage and SDK Samples

curl -X POST "https://app.bizconnectus.com/v1//contacts"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.ContactsApi;

import java.io.File;
import java.util.*;

public class ContactsApiExample {

    public static void main(String[] args) {
        
        ContactsApi apiInstance = new ContactsApi();
        Object body = ; // Object | 
        try {
            Object result = apiInstance.createContact(body);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling ContactsApi#createContact");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.ContactsApi;

public class ContactsApiExample {

    public static void main(String[] args) {
        ContactsApi apiInstance = new ContactsApi();
        Object body = ; // Object | 
        try {
            Object result = apiInstance.createContact(body);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling ContactsApi#createContact");
            e.printStackTrace();
        }
    }
}
Object *body = ; // 

ContactsApi *apiInstance = [[ContactsApi alloc] init];

// Create contact
[apiInstance createContactWith:body
              completionHandler: ^(Object output, NSError* error) {
                            if (output) {
                                NSLog(@"%@", output);
                            }
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var BizConnectApiDocumentation = require('biz_connect_api_documentation');

var api = new BizConnectApiDocumentation.ContactsApi()

var body = ; // {Object} 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.createContact(body, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class createContactExample
    {
        public void main()
        {
            
            var apiInstance = new ContactsApi();
            var body = new Object(); // Object | 

            try
            {
                // Create contact
                Object result = apiInstance.createContact(body);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ContactsApi.createContact: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\ContactsApi();
$body = ; // Object | 

try {
    $result = $api_instance->createContact($body);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling ContactsApi->createContact: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::ContactsApi;

my $api_instance = WWW::SwaggerClient::ContactsApi->new();
my $body = WWW::SwaggerClient::Object::Object->new(); # Object | 

eval { 
    my $result = $api_instance->createContact(body => $body);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling ContactsApi->createContact: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ContactsApi()
body =  # Object | 

try: 
    # Create contact
    api_response = api_instance.create_contact(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContactsApi->createContact: %s\n" % e)

Parameters

Body parameters
Name Description
body *

Responses

Status: 200 - OK

Status: 401 - Invalid access token


getContacts

Get user contacts

This can only be done by the logged in user.


/contacts

Usage and SDK Samples

curl -X GET "https://app.bizconnectus.com/v1//contacts"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.ContactsApi;

import java.io.File;
import java.util.*;

public class ContactsApiExample {

    public static void main(String[] args) {
        
        ContactsApi apiInstance = new ContactsApi();
        try {
            array[Contact] result = apiInstance.getContacts();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling ContactsApi#getContacts");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.ContactsApi;

public class ContactsApiExample {

    public static void main(String[] args) {
        ContactsApi apiInstance = new ContactsApi();
        try {
            array[Contact] result = apiInstance.getContacts();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling ContactsApi#getContacts");
            e.printStackTrace();
        }
    }
}

ContactsApi *apiInstance = [[ContactsApi alloc] init];

// Get user contacts
[apiInstance getContactsWithCompletionHandler: 
              ^(array[Contact] output, NSError* error) {
                            if (output) {
                                NSLog(@"%@", output);
                            }
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var BizConnectApiDocumentation = require('biz_connect_api_documentation');

var api = new BizConnectApiDocumentation.ContactsApi()

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.getContacts(callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class getContactsExample
    {
        public void main()
        {
            
            var apiInstance = new ContactsApi();

            try
            {
                // Get user contacts
                array[Contact] result = apiInstance.getContacts();
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ContactsApi.getContacts: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\ContactsApi();

try {
    $result = $api_instance->getContacts();
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling ContactsApi->getContacts: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::ContactsApi;

my $api_instance = WWW::SwaggerClient::ContactsApi->new();

eval { 
    my $result = $api_instance->getContacts();
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling ContactsApi->getContacts: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ContactsApi()

try: 
    # Get user contacts
    api_response = api_instance.get_contacts()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContactsApi->getContacts: %s\n" % e)

Parameters

Responses

Status: 200 - OK

Status: 401 - Invalid access token


Me

get user info

Returns user email and profile with name


/me

Usage and SDK Samples

curl -X GET -H "access_token: [[apiKey]]" "https://app.bizconnectus.com/v1//me"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.MeApi;

import java.io.File;
import java.util.*;

public class MeApiExample {

    public static void main(String[] args) {
        ApiClient defaultClient = Configuration.getDefaultApiClient();
        
        // Configure API key authorization: access_token
        ApiKeyAuth access_token = (ApiKeyAuth) defaultClient.getAuthentication("access_token");
        access_token.setApiKey("YOUR API KEY");
        // Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
        //access_token.setApiKeyPrefix("Token");

        MeApi apiInstance = new MeApi();
        try {
            Object result = apiInstance.get user info();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling MeApi#get user info");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.MeApi;

public class MeApiExample {

    public static void main(String[] args) {
        MeApi apiInstance = new MeApi();
        try {
            Object result = apiInstance.get user info();
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling MeApi#get user info");
            e.printStackTrace();
        }
    }
}
Configuration *apiConfig = [Configuration sharedConfig];

// Configure API key authorization: (authentication scheme: access_token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"access_token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"access_token"];


MeApi *apiInstance = [[MeApi alloc] init];

// Returns user email and profile with name
[apiInstance get user infoWithCompletionHandler: 
              ^(Object output, NSError* error) {
                            if (output) {
                                NSLog(@"%@", output);
                            }
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var BizConnectApiDocumentation = require('biz_connect_api_documentation');
var defaultClient = BizConnectApiDocumentation.ApiClient.instance;

// Configure API key authorization: access_token
var access_token = defaultClient.authentications['access_token'];
access_token.apiKey = "YOUR API KEY"
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//access_token.apiKeyPrefix['access_token'] = "Token"

var api = new BizConnectApiDocumentation.MeApi()

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.get user info(callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class get user infoExample
    {
        public void main()
        {
            
            // Configure API key authorization: access_token
            Configuration.Default.ApiKey.Add("access_token", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("access_token", "Bearer");

            var apiInstance = new MeApi();

            try
            {
                // Returns user email and profile with name
                Object result = apiInstance.get user info();
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling MeApi.get user info: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

// Configure API key authorization: access_token
Swagger\Client\Configuration::getDefaultConfiguration()->setApiKey('access_token', 'YOUR_API_KEY');
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
// Swagger\Client\Configuration::getDefaultConfiguration()->setApiKeyPrefix('access_token', 'Bearer');

$api_instance = new Swagger\Client\Api\MeApi();

try {
    $result = $api_instance->get user info();
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling MeApi->get user info: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::MeApi;

# Configure API key authorization: access_token
$WWW::SwaggerClient::Configuration::api_key->{'access_token'} = 'YOUR_API_KEY';
# uncomment below to setup prefix (e.g. Bearer) for API key, if needed
#$WWW::SwaggerClient::Configuration::api_key_prefix->{'access_token'} = "Bearer";

my $api_instance = WWW::SwaggerClient::MeApi->new();

eval { 
    my $result = $api_instance->get user info();
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling MeApi->get user info: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: access_token
swagger_client.configuration.api_key['access_token'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# swagger_client.configuration.api_key_prefix['access_token'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.MeApi()

try: 
    # Returns user email and profile with name
    api_response = api_instance.get_user_info()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MeApi->get user info: %s\n" % e)

Parameters

Responses

Status: 200 - successful operation